%define aurox_ver 9.3
%define rel 1

Summary: Support for Spanish interface in Mozilla
Name: mozilla-i18n-Spanish
Version: 1.6
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://nave.escomposlinux.org/
#Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz%{version}/langeses.xpi
Source: http://nave.escomposlinux.org/productos/mozilla/%{version}/descargas/langeses.xpi
Source1: mozilla-i18n-fix.sh
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip

%description
French translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}
# for RC1 we have to patch jars to work with 1.4
#mylocale=es-ES
#mylang=es
#pushd bin/chrome
#  mv $mylocale.jar old-$mylocale.jar
#  mv $mylang-unix.jar old-$mylang-unix.jar
#  unzip old-$mylocale.jar
#  find ./ -name contents.rdf -exec %{SOURCE1} \{} \;
#  zip -r $mylocale.jar locale
#  rm -rf locale
#  unzip old-$mylang-unix.jar
#  find ./ -name contents.rdf -exec %{SOURCE1} \{} \;
#  zip -r $mylang-unix.jar locale
#  rm -rf locale
#popd

%build
mylocale=es-ES
mylang=es
grep 'registerChrome(' install.js | grep -v platform | grep -v mapi | awk '{print $6}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/es-ES.jar!/locale/es-ES/",$1,"/"}' > lang-$mylocale.jar.txt
grep 'registerChrome(' install.js | grep platform | awk '{print $6}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/es-unix.jar!/locale/es-ES/",$1,"/"}' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=es-ES
mylang=es
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f bin/chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f bin/chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
#/usr/lib/mozilla-i18n-%{version}/*

%changelog
* Sat Jan 31 2004 Aurox Team <aurox@aurox.org> 0:1.6-9.3.aur.1
- update for mozilla 1.6
- mozilla 1.5

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.1
- Update to Mozilla 1.4 final

* Wed Jul 02 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.2
- Fix mozilla version (1.4 not 1.4b)

* Wed Jul 02 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.1
- Initial package from translation of Mozilla 1.4RC1
